package com.jw.app.business;

import java.util.List;
import java.util.Map;

import org.springframework.stereotype.Service;

import com.gaowj.business.exception.BusinessException;
import com.gaowj.business.util.Page;

@Service
public interface PushDataBusiness {
	
	/**--------------需推送数据---------------- **/
	void insert_pushData(Map<String,Object> entity) throws BusinessException ;

    void update_pushData(Map<String,Object> entity) throws BusinessException ;
    
    void delete_pushData(List<String> list)throws BusinessException;
    
    Page<Map<String, Object>> list_pushData(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_pushData(Map<String, Object> query) throws BusinessException ;
    
    int listCount_pushData(Map<String, Object> query) throws BusinessException ;
    
    /**--------------需推送数据所对应的应用---------------- **/
    void insert_pushApp(Map<String,Object> entity) throws BusinessException ;

    void update_pushApp(Map<String,Object> entity) throws BusinessException ;
    
    void delete_pushApp(List<String> list)throws BusinessException;
    
    void delete_pushApp_map(Map<String,Object> entity)throws BusinessException;
    
    Page<Map<String, Object>> list_pushApp(int pageNo, int pageSize, Map<String, Object> query)throws BusinessException ;
    
    List<Map<String,Object>> list_pushApp(Map<String, Object> query) throws BusinessException ;
    
    int listCount_pushApp(Map<String, Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_pushApp_all(Map<String,Object> query)throws BusinessException;
    
    List<Map<String, Object>> list_pushData_one(String query) throws BusinessException ;
    
    List<Map<String, Object>> list_pushData_user(String query) throws BusinessException;
    
    int list_pushData_user_count (String query) throws BusinessException;
    
    List<Map<String, Object>> list_pushData_unit(String query) throws BusinessException;
    
    int list_pushData_unit_count (String query) throws BusinessException;
    
    Page<Map<String, Object>> list_pushData_unit(int pageNo, int pageSize, String query)
			throws BusinessException;

	Page<Map<String, Object>> list_pushData_user(int pageNo, int pageSize, String query) throws BusinessException;
	
    Page<Map<String,Object>> list_pushApp_unit(int pageNo, int pageSize, Map<String,Object> query)throws BusinessException;
    
    Page<Map<String,Object>> list_pushApp_user(int pageNo, int pageSize, Map<String,Object> query)throws BusinessException;
    
    List<Map<String,Object>> list_pushApp_unit(Map<String,Object> query)throws BusinessException;
    
    List<Map<String,Object>> list_pushApp_user(Map<String,Object> query)throws BusinessException;
    
    int listCount_pushApp_unit(Map<String, Object> query) throws BusinessException ; 
    
    int listCount_pushApp_user(Map<String, Object> query) throws BusinessException ;
}
